Subject: Re: [linux-mac68k] Re: drivers/macintosh/Kconfig (was: Re: Linux 2.6.3-rc1)

From: Brad Boyer <[email-masked]>
Date: Sun, 8 Feb 2004 14:19:49 -0800

On Sun, Feb 08, 2004 at 11:07:10PM +0100, Matthias Urlichs wrote:
> This may be a stupid question, but I've got an iMate, and it already
> works rather well -- it checks whether the (single!) ADB device behind
> it is a keyboard or a mouse, and then translates that to standard PCish
> USB keycodes or mouse events, transparently.

Yes, it can convert a standard keyboard and mouse directly to a USB
keyboard and mouse, but if you want to treat it as a generic ADB
bus, you need a driver.

> Do you have documentation that says it can do more ..?

How about the official page?

http://www.griffintechnology.com/products/imate/

It specifically says "and other ADB peripherals" in the description.
The various documentation if you search around their site talks
about how you can just plug in a keyboard or mouse and it works,
but has a driver download for OSX and OS9 to allow using anything
with a real ADB driver to work.

I'm pretty sure keyboards and mice are the only devices currently
supported on ADB in Linux anyway, but it's a thought for the future.

	Brad Boyer
	[email-masked]

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/